aboutsummaryrefslogtreecommitdiffstats
path: root/chapter7
diff options
context:
space:
mode:
Diffstat (limited to 'chapter7')
-rw-r--r--chapter7/backup.sh1
-rw-r--r--chapter7/bison.sh1
-rw-r--r--chapter7/cleanup.sh1
-rw-r--r--chapter7/gettext.sh1
-rw-r--r--chapter7/libstdc++.sh1
-rw-r--r--chapter7/perl.sh1
-rw-r--r--chapter7/python.sh1
-rw-r--r--chapter7/texinfo.sh1
-rw-r--r--chapter7/util-linux.sh1
9 files changed, 9 insertions, 0 deletions
diff --git a/chapter7/backup.sh b/chapter7/backup.sh
index 38d626f..9418775 100644
--- a/chapter7/backup.sh
+++ b/chapter7/backup.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
file="${LFS_VER}-ch7-backup.tar.xz"
directories=(bin dev etc lib lib64 proc run sbin sys tools usr var)
diff --git a/chapter7/bison.sh b/chapter7/bison.sh
index 2385d22..9de734e 100644
--- a/chapter7/bison.sh
+++ b/chapter7/bison.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
./configure --prefix=/usr --docdir=/usr/share/doc/bison-"${VERSION}" &&
make &&
diff --git a/chapter7/cleanup.sh b/chapter7/cleanup.sh
index 921981b..53ad4d4 100644
--- a/chapter7/cleanup.sh
+++ b/chapter7/cleanup.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
if [ -f "${LFS}/sources/chapter7/cleanup" ]; then
printf "%b" " ${IGRN}Cleanup already performed${RST}\n"
diff --git a/chapter7/gettext.sh b/chapter7/gettext.sh
index 49fbf15..b1dca1c 100644
--- a/chapter7/gettext.sh
+++ b/chapter7/gettext.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
./configure --disable-shared
make &&
diff --git a/chapter7/libstdc++.sh b/chapter7/libstdc++.sh
index c2ef63b..87c89b7 100644
--- a/chapter7/libstdc++.sh
+++ b/chapter7/libstdc++.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
ln -s gthr-posix.h libgcc/gthr-default.h
mkdir build
diff --git a/chapter7/perl.sh b/chapter7/perl.sh
index 970e17c..627e3e5 100644
--- a/chapter7/perl.sh
+++ b/chapter7/perl.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
MAJMIN="$(cut -d\. -f1,2 <<< "${VERSION}")"
diff --git a/chapter7/python.sh b/chapter7/python.sh
index daf1677..428beaa 100644
--- a/chapter7/python.sh
+++ b/chapter7/python.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
./configure --prefix=/usr \
--enable-shared \
diff --git a/chapter7/texinfo.sh b/chapter7/texinfo.sh
index 1935156..b3bba9e 100644
--- a/chapter7/texinfo.sh
+++ b/chapter7/texinfo.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
./configure --prefix=/usr &&
make &&
diff --git a/chapter7/util-linux.sh b/chapter7/util-linux.sh
index 7a00c8c..e0241fa 100644
--- a/chapter7/util-linux.sh
+++ b/chapter7/util-linux.sh
@@ -1,4 +1,5 @@
#!/bin/bash
+set -e
mkdir -p /var/lib/hwclock &&
./configure ADJTIME_PATH=/var/lib/hwclock/adjtime \